LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ActionTrigger Service Referencepublished

describes a trigger for an (user inter-)action. More...

`import"ActionTrigger.idl";`

## Public Attributes
string | Text
| contains the text of the menu entry. More...
string | CommandURL
| contains the command URL for the menu entry. More...
string | HelpURL
| contains the a URL that points to a help text. More...
::com::sun::star::awt::XBitmap | Image
| contains the menu item image. More...
::com::sun::star::container::XIndexContainer | SubContainer
| contains a sub menu. More...

## Detailed Description

describes a trigger for an (user inter-)action.

Common examples for such triggers are menu entries or toolbar icons.

## Member Data Documentation

string CommandURL
| property

contains the command URL for the menu entry.

string HelpURL
| optional property

contains the a URL that points to a help text.

::com::sun::star::awt::XBitmap Image
| property

contains the menu item image.

::com::sun::star::container::XIndexContainer SubContainer
| property

contains a sub menu.

string Text
| property

contains the text of the menu entry.

The documentation for this service was generated from the following file:

- com/sun/star/ui/ActionTrigger.idl